#
# NOTE: Do NOT change this file -- InterfaceBuilder depends on it.
#
SUPPORTFILES = IB.proj Makefile makefile IB.paletteheader \
	Makefile.preamble Makefile.postamble
SRCFILES = $(CLASSES) $(CLASSES:.m=.h) \
	$(LOCAL_CLASSES) $(LOCAL_CLASSES:.m=.h) \
	$(MFILES) $(CFILES) $(HFILES) $(PSWFILES) $(PSWMFILES) \
	$(INTERFACES) $(TIFFFILES) $(EPSFILES) $(SNDFILES) \
	$(OTHERSRCS) $(OTHER_SOURCEFILES)
OFILES = $(SUBPROJECTS:.subproj=.o) \
	$(PSWFILES:.psw=.o) $(PSWMFILES:.pswm=.o) $(CLASSES:.m=.o) \
	$(LOCAL_CLASSES:.m=.o) $(MFILES:.m=.o) $(CFILES:.c=.o) $(OTHER_OFILES)
ALL_OBJECT_FILES = $(OFILES) $(OTHER_LIBS) $(LIBS)
EARLY_HEADERS = $(PSWFILES:.psw=.h) $(PSWMFILES:.pswm=.h) \
	$(SUBPROJECTS:.subproj=.h)
PRODUCT_DEPENDS =  $(EARLY_HEADERS) $(OFILE_DIR) \
	$(OFILES) "$(OPROD_DIR)" $(OTHER_OFILES) \
	$(INTERFACES) $(TIFFFILES) $(EPSFILES) $(SNDFILES) \
	$(OTHER_PRODUCT_DEPENDS)
OPROD_DIR = ../$(OFILE_DIR)
O_PRODUCT = $(OPROD_DIR)/$(NAME).o
H_PRODUCT = $(NAME).h
LD_PRODUCT = ../$(OFILE_DIR)/$(NAME).ldflags
GARBAGE = $(PSWFILES:.psw=.c) $(PSWMFILES:.pswm=.m) \
	  obj debug_obj profile_obj $(OTHER_GARBAGE)
PUBLIC_HFILES = $(CLASSES:.m=.h) $(HFILES) \
	$(PSWFILES:.psw=.h) $(PSWMFILES:.pswm=.h)

#
#
#

all::
	@$(MAKE) $(H_PRODUCT) $(O_PRODUCT) $(LD_PRODUCT)
	@cp $(H_PRODUCT) ..
	@touch $(O_PRODUCT) $(LD_PRODUCT)

ofiles::
	@$(MAKE) $(O_PRODUCT) $(LD_PRODUCT)
	@touch $(O_PRODUCT) $(LD_PRODUCT) ../$(H_PRODUCT)

headers::
	@/bin/rm -f ../$(H_PRODUCT)
	@if [ -r $(H_PRODUCT) ]; then \
	    echo cp $(H_PRODUCT) .. ; \
	    cp $(H_PRODUCT) .. ; \
	else \
	    echo '/* $(NAME).h\n  ' `date` '\n*/\n' > ../$(H_PRODUCT); \
	    for i in $(PUBLIC_HFILES) none ; do \
		if [ $$i = none ] ; then continue; fi; \
		echo -n '#import "$(NAME).subproj/' >> ../$(H_PRODUCT); \
		echo -n $$i >> ../$(H_PRODUCT); \
		echo '"' >> ../$(H_PRODUCT); \
	    done; \
	    echo 'generate ../$(H_PRODUCT)' ; \
	fi

clean:: $(NAME).clean $(SUBPROJECTS:.subproj=.clean)

depend: Makefile.dependencies $(SUBPROJECTS:.subproj=.depend)

installsrc:: $(NAME).installsrc $(SUBPROJECTS:.subproj=.installsrc)

include $(MAKEFILEDIR)/common.make

#

"$(OPROD_DIR)":
	@mkdirs $@

$(O_PRODUCT):: $(PRODUCT_DEPENDS)
	ld $(ALL_OBJECT_FILES) -r -o $(O_PRODUCT)

$(LD_PRODUCT):: $(O_PRODUCT) Makefile
	@-/bin/rm -f $(LD_PRODUCT)
	@ldflags="$(LDFLAGS)"; \
	for i in $(INTERFACES) nonibfiles ; do \
	    if [ $$i = nonibfiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __NIB $$i $(NAME).subproj/$$i"; \
	done; \
	for i in $(TIFFFILES) notifffiles ; do \
	    if [ $$i = notifffiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __TIFF $$i $(NAME).subproj/$$i"; \
	done; \
	for i in $(EPSFILES) noepsfiles ; do \
	    if [ $$i = noepsfiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __EPS $$i $(NAME).subproj/$$i"; \
	done; \
	for i in $(SNDFILES) nosndfiles ; do \
	    if [ $$i = nosndfiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __SND $$i $(NAME).subproj/$$i"; \
	done; \
	echo $$ldflags > $(LD_PRODUCT)
	@echo 'generate $(LD_PRODUCT)'


